commit:     f781e76f2fdf8dbab39d53a4628861705cdfe321
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Dec 30 07:48:00 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Dec 30 07:48:00 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f781e76f

dev-python/keep: Bump to 2.11

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/keep/Manifest         |  1 +
 dev-python/keep/keep-2.11.ebuild | 45 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 46 insertions(+)

diff --git a/dev-python/keep/Manifest b/dev-python/keep/Manifest
index c1697381f87b..39df976abf49 100644
--- a/dev-python/keep/Manifest
+++ b/dev-python/keep/Manifest
@@ -1 +1,2 @@
 DIST keep-2.10.1.tar.gz 13044 BLAKE2B 
178207ccad7f0feec2d9a57f0e5345e0ef9853bedd3f8efc8afac5f81c35e74ee6d3dab66b75ceeac4a3d76f2297ec645bae61f2f1e78218e910a2537984f4cd
 SHA512 
d4144bd7f6f623b1c9c9468f5596818f47cba8a9bc80e75ebaf75f147823a01da53ef84c76b9f24240a8d0fbdb770c5cdf108c276ecdcd882ac9db0c1608480f
+DIST keep-2.11.tar.gz 12175 BLAKE2B 
88116819bf3aafeac5d4891a136f4a17751aff3141d55891bb7c29bbcf36e7c3a5a7d5aeaf6ccf62377cf7f660178cc971ffba7c8e8a80e9d3ffb87f91bed150
 SHA512 
b26349dcaf03cdec6463ee73029e644a41985f09efa4923ce6344884ea8d4189679747202af1ec930479ec1290374b4c55d4ae478590ce690f8920de00276782

diff --git a/dev-python/keep/keep-2.11.ebuild b/dev-python/keep/keep-2.11.ebuild
new file mode 100644
index 000000000000..318de55a30fe
--- /dev/null
+++ b/dev-python/keep/keep-2.11.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{10..13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Personal shell command keeper and snippets manager"
+HOMEPAGE="
+       https://github.com/orkohunter/keep/
+       https://pypi.org/project/keep/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+       dev-python/click[${PYTHON_USEDEP}]
+       dev-python/pygithub[${PYTHON_USEDEP}]
+       dev-python/requests[${PYTHON_USEDEP}]
+       dev-python/terminaltables3[${PYTHON_USEDEP}]
+"
+
+python_test() {
+       "${EPYTHON}" - <<-EOF || die "Smoke test failed with ${EPYTHON}"
+               import datetime, sys, os
+               import keep.cli, keep.utils
+
+               # avoid automatic initialization, otherwise keep basically just 
creates
+               # this directory and exits
+               # see 
https://github.com/OrkoHunter/keep/blob/8dddc00aaaf0e53edbd2477a02d3fe53e38b7f28/keep/utils.py#L53-L63
+               os.makedirs(keep.utils.dir_path, exist_ok=True)
+
+               # keep tries to check newest version on pypi once a day, let's 
pretend
+               # that this check was already done
+               # see 
https://github.com/OrkoHunter/keep/blob/8dddc00aaaf0e53edbd2477a02d3fe53e38b7f28/keep/utils.py#L23-L50
+               with open(os.path.join(keep.utils.dir_path, 
'update_check.txt'), 'w') as f: 
f.write(datetime.date.today().strftime("%m/%d/%Y"))
+
+               sys.exit(keep.cli.cli())
+       EOF
+}

Reply via email to